For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
BlogLogin
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GETList
      • POSTCreate
      • GETDetail
LogoLogo
BlogLogin
API Referencemedia

Detail

GET
https://api.flockx.io/api/v1/media/:id
GET
/api/v1/media/:id
$curl https://api.flockx.io/api/v1/media/id \
> -H "Authorization: <apiKey>"
1{
2 "id": "foo",
3 "created": "foo",
4 "modified": "foo",
5 "name": "foo",
6 "url": "foo",
7 "source_url": "foo",
8 "description": "foo",
9 "status": "foo",
10 "format": "",
11 "resource_type": "",
12 "width": 0,
13 "height": 0
14}
Was this page helpful?
Previous

List

Next
Built with

Authentication

Authorizationstring
API Key authentication via header

Path parameters

idstringRequiredformat: "uuid"

Response

Successful Response
idstringformat: "uuid"
createdstringformat: "date-time"
modifiedstringformat: "date-time"
namestring or null<=256 characters
urlstring or nullformat: "uri"1-2083 characters

Preview/processed URL (e.g., JPG preview for PDFs)

source_urlstring or nullformat: "uri"1-2083 characters

Original file URL (e.g., the original PDF before processing)

descriptionstring or null
statusstring or nullRead-only

Human-readable status label

formatstring<=10 charactersDefaults to
resource_typestring<=10 charactersDefaults to
widthintegerDefaults to 0
heightintegerDefaults to 0

Errors

422
Unprocessable Entity Error